%define gettext_package gnome-games

%define glib2_version 2.6.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.5.0
%define desktop_file_utils_version 0.2.90

%define gnome_games_extra_data_version 2.14.0

Summary: GNOME games
Name: gnome-games
Version: 2.14.3
Release: 1%{?dist}
Epoch: 1
License: LGPL
Group: Amusements/Games
Source: gnome-games-%{version}.tar.bz2
Source2: gnome-games-extra-data-%{gnome_games_extra_data_version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnome-games-devel
URL: http://www.gnome.org

Requires(post): scrollkeeper >= 0.1.4
Requires(post): GConf2
Requires(postun): scrollkeeper >= 0.1.4

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: scrollkeeper
BuildRequires: librsvg2-devel
BuildRequires: guile-devel >= 1.6.5

# Newer than internal gettext needed
BuildRequires: gettext
# Needed by intltool
BuildRequires: perl-XML-Parser
BuildRequires: autoconf

%description

The gnome-games package includes some small games that come with the
GNOME desktop environment but can be used under any desktop.
The games are mostly puzzle or solitaire games.

%prep
%setup -q

tar xjf %{SOURCE2}

cp -f gnometris/sounds/gameover.wav gnobots2/bad.wav
cp -f gnometris/sounds/gameover.wav gnibbles/sounds/pop.wav

%build

autoconf
pushd gnome-games-extra-data-%{gnome_games_extra_data_version}
%configure --disable-howl
make
popd

export CFLAGS="$RPM_OPT_FLAGS -DNO_HOWL"
%configure --localstatedir=/var/lib
make 


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

pushd gnome-games-extra-data-%{gnome_games_extra_data_version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#
# lawyers are fun
# lawyers are fun little
#
rm -rf $RPM_BUILD_ROOT%{_datadir}/xbill
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-xbill
rm -f $RPM_BUILD_ROOT%{_bindir}/gnometris
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnometris.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/xbill.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/xbill.png
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnometris.schemas

## things we just don't want in the package

rm -rf $RPM_BUILD_ROOT%{_libdir}/libgdkcardimage.*a
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

## install desktop files
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-glines.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gnect.desktop

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-freecell.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sol.desktop 

perl -pi -e 's@<default></default>@<default>[Joe,Jim,James]</default>@g' $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/gtali.schemas

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="aisleriot.schemas gataxx.schemas gnect.schemas gnobots2.schemas gnometris.schemas gnotravex.schemas iagno.schemas same-gnome.schemas blackjack.schemas glines.schemas gnibbles.schemas gnomine.schemas gtali.schemas mahjongg.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update -q

%files -f %{gettext_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog

%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/gnome-games
%{_datadir}/gnect
%{_datadir}/pixmaps
%{_datadir}/gnobots2
%{_datadir}/sounds
%{_datadir}/gnibbles
%{_datadir}/sol-games
%{_datadir}/blackjack
%{_datadir}/omf/gnome-games
%{_sysconfdir}/gconf/schemas/*
%config %{_sysconfdir}/sound/events/*
%config(noreplace) %attr(664, games, games) /var/lib/games/*

# these are not setgid games
%{_bindir}/gnect
%{_bindir}/blackjack
%{_bindir}/sol
%{_bindir}/games-server.py
%{_bindir}/games-server.pyc
%{_bindir}/games-server.pyo

# these are setgid games
%attr(2551, root, games) %{_bindir}/gnomine
%attr(2551, root, games) %{_bindir}/same-gnome
%attr(2551, root, games) %{_bindir}/mahjongg
%attr(2551, root, games) %{_bindir}/gtali
%attr(2551, root, games) %{_bindir}/gnobots2
%attr(2551, root, games) %{_bindir}/gataxx
%attr(2551, root, games) %{_bindir}/gnotravex
%attr(2551, root, games) %{_bindir}/gnotski
%attr(2551, root, games) %{_bindir}/gnibbles
%attr(2551, root, games) %{_bindir}/glines
%attr(2551, root, games) %{_bindir}/iagno


%changelog
* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.14.3-1.fc5
- Update to 2.14.3

* Mon May 29 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.14.2-1
- Update to 2.14.2

* Mon Apr 24 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.14.1-1.fc5.3
- Update the extra data to 2.14.0

* Mon Apr 17 2006 Ray Strode <rstrode@redhat.com> - 2.14.1-1.fc5.2
- Fix schema install bug. Reported by Dawid Gajownik <gajownik@fedora.pl>

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-1.fc5.1
- Update to 2.14.1

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Thu Feb 23 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.8-1
- Update to 2.13.8

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.7-1
- Update to 2.13.7

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.6-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.6-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Matthias Clasen <mclasen@redhat.com> 1:2.13.6-3
- Remove unneeded gstreamer dependency

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 1:2.13.6-1
- Update to 2.13.6

* Mon Jan 23 2006 Christopher Aillon <caillon@redhat.com> 1:2.13.5-2
- Add patch to fix parse errors with aunt mary.

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 1:2.13.5-1
- Update to 2.13.5

* Fri Jan 06 2006 Ray Strode <rstrode@redhat.com> 1:2.13.4-2
- remove "Windows" theme from gnobots

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 1:2.13.4-1
- Update to 2.13.4

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 1:2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 1 2005 Matthias Clasen <mclasen@redhat.com> 1:2.13.2-1
- Update to 2.13.2

* Wed Nov 2 2005 Ray Strode <rstrode@redhat.com> 1:2.12.1-4
- don't link to howl now that we aren't using it

* Mon Oct 31 2005 Ray Strode <rstrode@redhat.com> 1:2.12.1-3
- rebuild

* Mon Oct 31 2005 Ray Strode <rstrode@redhat.com> 1:2.12.1-2
- remove howl dependency
- modernize make install lines

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> 1:2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> 1:2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- New upstream version

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.3-1
- New upstream version

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.1-1
- Update to 2.11.1

* Fri May 20 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-5
- Fix gnibbles crasher, patch from 
  Richard Hoelscher <rah@rahga.com> (bug 158269).

* Thu May 19 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-4
- Change some sounds around

* Sun Apr 10 2005 Warren Togami <wtogami@redhat.com> 1:2.10.0-3
- undo previous change
- remove unnecessary ldconfig calls
- remove crack obsolete

* Sun Apr 10 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-2
- Add requires line for guile (bug 154297)

* Fri Apr  8 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-1
- Update to 2.10.0

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.6-1
- Update to 2.9.6
- Needs to wait for newer guile

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-4
- Remove gnome-stones for now

* Thu Oct 14 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.0-3
- 135591 Ataxx crashes on launch

* Thu Sep 30 2004 GNOME <jrb@redhat.com> - 1:2.8.0-2
- fix crasher, #134256

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 2.8.0-1
- Update to 2.8.0 and gnome-games-extra-data 2.8.0

* Mon Aug 23 2004 Christopher Aillon <caillon@redhat.com> 2.7.7-1
- Update to 2.7.7 including gnome-games-extra-data-2.7.0

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com> 2.7.6-1
- Update to 2.7.6

* Tue Aug 3 2004 Matthias Clasen <mclasen@redhat.com> 2.7.5-2
- Rebuilt

* Sat Jul 31 2004 Christopher Aillon <caillon@redhat.com> 2.7.5-1
- Bump to 2.7.5

* Wed Jun 30 2004 Christopher Aillon <caillon@redhat.com> 2.6.2-1
- Update to 2.6.2

* Wed Jun 16 2004 Christopher Aillon <caillon@redhat.com>
- Update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 21 2004 Matthias Clasen <mclasen@redhat.com> 2.6.0.1-3 
- rebuild

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 2.6.0.1-2
- #111114 BR perl-XML-Parser scrollkeeper librsvg2-devel gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0.1-1
- Update to 2.6.0.1

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 1:2.5.8-1
- update to 2.5.8

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.7-1
- update to 2.5.7

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 1:2.5.5-1
- new version

* Tue Oct 21 2003 Jeremy Katz <katzj@redhat.com> 1:2.4.0-3
- add patch so that gtali doesn't crash (#106524)

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-2
- 2.4.0

* Mon Aug 25 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.8-1
- update for gnome 2.3
- don't build aisleriot on ia64 due to some strange guile lib issue

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 1:2.2.1-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.1-1
- 2.2.1
- remove "applyschemas" patch fixed upstream
- remove "stonescrash" patch also fixed upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Jeremy Katz <katzj@redhat.com> 1:2.2.0-2
- apply the gnect schemas (#84905)
- gnome-stones shouldn't crash on startup (#84904)

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-1
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- 2.1.5

* Wed Dec  4 2002 Havoc Pennington <hp@redhat.com>
- munge empty string default value out of gtali.schemas
- increment version numbers on requirements

* Tue Dec  3 2002 Bill Nottingham <notting@redhat.com> 1:2.1.3-2
- rebuild against new guile

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.3-1
- update to 2.1.3

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- add some OnlyShowIn

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3 from gnome 2.0.1

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- gnect doesn't like being setgid games
- obsolete gnome-games-devel

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- add gnect

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- remove noreplace from the .soundlist files
- add missing schemas
- get rid of gnometris again
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.93.0
- remove empty NEWS/README
- fix ldconfig in post

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.92.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.91.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version
- spec file cleanups
- no devel package
- don't run auto*, just use the "rm from buildroot" approach to lose xbill

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com>
- Bumped version number for rebuild and relink agains new guile lib

* Tue Aug 14 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires on ncurses-devel

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 20 2001  <jrb@redhat.com>
- New version (1.4.0)

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- langify

* Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- run ldconfig in post and postun (#16589)
- don't put the post and postun scripts in the middle of the files list --
  that tends to break things (oops)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Remove .desktop for gturing

* Mon Jul 17 2000 Jonathan Blandford <jrb@redhat.com>
- Mark high-score files as %config(noreplace).

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove Docdir

* Tue Jul 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- 1.2.0
- remove gnometris, xbill from subdirs since we don't install
  them and they cause problems with new C compiler
- update autoconf stuff
- remove gturing, add gnotski to the file list

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.1.90

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- mark sound event files as config files

* Tue Sep 21 1999 Michael Fulbright <drmike@redhat.com>
- fixed gnotravex to not loop infinitely

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Sat Apr 10 1999 Jonathan Blandford <jrb@redhat.com>
- added new sol games and a fix for the old ones.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree

